Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.util
Class IPC.XMLObjectStreamCommunicationStrategy

    java.lang.Object
      ix.util.ipc.SerializedCommunicationStrategy
          ix.util.IPC.XMLObjectStreamCommunicationStrategy

All Implemented Interfaces:
  IPC.CommunicationStrategy

Direct Known Subclasses:
  IPC.SimpleIXXMLCommunicationStrategy

Enclosing class:
  IPC

    public static class IPC.XMLObjectStreamCommunicationStrategy

extends SerializedCommunicationStrategy

A version of ObjectStreamCommunicationStrategy that encodes the message contents in XML rather than serializing.

Nested Class Summary

Nested classes/interfaces inherited from class ix.util.ipc.SerializedCommunicationStrategy
`SerializedCommunicationStrategy.ObjectStreamNameServer, SerializedCommunicationStrategy.ObjectStreamServer`

Constructor Summary
`IPC.XMLObjectStreamCommunicationStrategy()`

Method Summary
`java.lang.Object` | `postDecode(java.lang.Object contents)`
`java.lang.Object` | `preEncode(java.lang.Object contents)`

Methods inherited from class ix.util.ipc.SerializedCommunicationStrategy
`sendObject, sendRequest, setDestinationAddress, setupNameServer, setupNameServerAddress, setupServer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IPC.XMLObjectStreamCommunicationStrategy

    public IPC.XMLObjectStreamCommunicationStrategy()

Method Detail

### preEncode

    public java.lang.Object preEncode(java.lang.Object contents)

  Overrides:
    `preEncode` in class `SerializedCommunicationStrategy`

### postDecode

    public java.lang.Object postDecode(java.lang.Object contents)

  Overrides:
    `postDecode` in class `SerializedCommunicationStrategy`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD